バージョン選択

フォーラム

メニュー

オンライン状況

80 人のユーザが現在オンラインです。 (54 人のユーザが フォーラム を参照しています。)
登録ユーザ: 0
ゲスト: 80
もっと...

サイト内検索

プラグイン > バグ報告・利用に関する質問 > プラグインインストールのシステムエラー

バグ報告・利用に関する質問

新規スレッドを追加する

スレッド表示 | 新しいものから 前のトピック | 次のトピック | 下へ
投稿者 スレッド
brass
投稿日時: 2019/9/25 16:56
対応状況: −−−
新米
登録日: 2019/8/30
居住地:
投稿: 4
プラグインインストールのシステムエラー
▼テンプレート
[EC-CUBE] EC-CUBE4.0.2
[レンタルサーバ] ロリポップ
[OS] Linux
[PHP] 7.1.5 CGI版
[データベース] MySQL 5.6.23
[WEBサーバ] Apache
[ブラウザ] Chrome
[現象] プラグインのインストールでシステムエラーが出るので、
APP_ENV=devからprod
APP_DEBUG=1から0
php.iniでxdebugを無効に
.htaccessで
php_value memory_limit 512M
php_value max_execution_time 180
キャッシュクリア
を試してみたのですが、改善されずシステムエラーとなります。

ログを確認するを開いても、
**************** プラグイン名****************

のみ表示され、以下に何も表示されません。

このような場合は、他にどのような原因が考えられますでしょうか。
どなたかご教授頂けますと幸いです。
Takae
投稿日時: 2019/9/27 21:50
対応状況: −−−
新米
登録日: 2016/11/27
居住地: 横浜市
投稿: 7
Re: プラグインインストールのシステムエラー
横から失礼いたします。私も同じくプラグインがインストール出来ません。
brassさんとの違いはEC-CUBE4.0.3です。EC-CUBEのインストールは問題無くできました。プラグインを探す→オーナーズストアでプラグインも表示され、「入手する」をクリックするとインストール開始し、インストールしますと表示されインストールボタンをクリックすると開始しますが、インストール確認でサイトに「システムエラーが発生しました。」と表示されます。プラグインは数個無料のを試しましたがどれも結果は同じでした。10月1日からphp7.3も提供されますが、php7.3にあげれば解決出来るでしょうか?

後、私の場合は、.htaccessに以下を記述してFTPでUPすると500エラーになってしまいます。以下の記述箇所と記述もご伝授頂けますでしょうか?

memory_limit = 400M
max_execution_time = 180


[EC-CUBE] EC-CUBE4.0.3
[レンタルサーバ] ロリポップ
[OS] Linux
[PHP] 7.1.5 CGI版
[データベース] MySQL 5.6.23
[WEBサーバ] Apache

▼エラーメッセージ
**************** DataMigration4 ****************
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta http-equiv="Content-Style-Type" content="text/css">
<meta http-equiv="Content-Script-Type" content="text/javascript">
<meta name="viewport" content="width=device-width,initial-scale=1.0, maximum-scale=1.0,user-scalable=0">
<title>500 Error - Internal Server Error</title>

<style type="text/css">
<!--
#ERR_MAIN { margin:11px auto 0 auto; width:620px;text-align:left; }
.LINE_DOT { background-image:url(/lolipop_service_documents/simple/line_dot.gif); height:2px; }
a.IMG_LINK:hover { background:none; }
.ERR_TXT { width: 610px; height:18px; padding: 5px 0 5px 10px ; margin:15px 0 10px; background-color: #bbeeee; font-weight: bold; color:#ee5555; }
.ERR_CHK { width: 610px; margin:0 0 0 10px; padding-left:1em; text-indent:-1em; }
.PEPABO { border-top: 1px solid #666; color:#022055; padding: 10px 0px 0px 0px; margin-bottom:10px; text-align:center; font-family:Verdana; }
.COPY{ margin-bottom:15px; text-align:center; font-family:Verdana; }
.h1-img-mg {width:460px; height:70px; margin-left:80px;}
.to-lolipop-img {margin-left:85px;}

.MobileView #ERR_MAIN {width: auto !important; -webkit-text-size-adjust: none;}
.MobileView .ERR_TXT { width: auto !important; font-size:9px !important; margin:0 0 10px !important; height:15px !important; padding: 3px 0 4px 10px !important;}
.MobileView .ERR_CHK { width: auto !important; font-size:10px !important; line-height:12px !important; margin-top:10px !important; padding:0 5px !important;}
.MobileView .PEPABO { font-size:11px !important; }
.MobileView .COPY{ font-size:10px !important; }
.MobileView .h1-img-mg {width:276px; height:42px; margin:0;}
.MobileView .to-lolipop-img {width:280px; height:14px; margin:0;}
-->
</style>

<script type="text/javascript">

var checkUA = function() {
var _ua = navigator.userAgent;
if( 0 < _ua.indexOf('iPhone') ) { return 'iphone' }
else if( 0 < _ua.indexOf('iPad') ) { return 'ipad' }
else if( 0 < _ua.indexOf('iPod') ) { return 'ipod' }
else if( 0 < _ua.indexOf('Android') ) { return 'android' }
else return false;
}

window.onload = function(){
if(checkUA()=='iphone' || checkUA()=='ipod' || checkUA()=='android'){
document.getElementsByTagName('body')[0].setAttribute('class','MobileView');
}
}

function setCopyrights() {
document.write('copyright(c)2001- ' + ' <a href="https://pepabo.com/" target="_blank">GMOペパボ株式会社</a> all rights reserved');
}
</script>


</head>

<body>

<div id="ERR_MAIN">

<h1 style="margin:0px;"><img src="/lolipop_service_documents/simple/obj_500.gif" class="h1-img-mg" alt="500 エラー" /></h1>
<div class="LINE_DOT" style="margin:7px 0px;"><img src="/lolipop_service_documents/simple/sp.gif" width="1" height="1"></div>
<a href="https://lolipop.jp/" class="IMG_LINK" title="ロリポップ!レンタルサーバー"><img src="/lolipop_service_documents/simple/btn_lolipop.gif" border="0" width="320" height="16" alt="ロリポップ!レンタルサーバー" class="to-lolipop-img" /></a>

<dl style="margin: 8px 0px; padding:0 0 15px; line-height:20px;">
<dt class="ERR_TXT">※CGI もしくは SSI が正しく動作していません。</dt>
<dd class="ERR_CHK">•&nbsp;URLに間違いがないか、再度確認してください。再読み込みしてください。</dd>
<dd class="ERR_CHK">•&nbsp;ご利用中のユーザー様は【<a href="https://lolipop.jp/support/faq/etc/000554/" target="_top">ロリポップ!よくある質問集</a>】をご参照ください。</dd>
<dd class="ERR_CHK">•&nbsp;疑問点等ございましたら【<a href="https://lolipop.jp/support/inq/" target="_top">ロリポップ!お問合せフォーム</a>】よりお問合せください。</dd>
</dl>

<h4 class="PEPABO"><a href="https://lolipop.jp/" target="_blank">ロリポップ!レンタルサーバー</a></h4>
<div class="COPY"><script type="text/javascript">setCopyrights();</script></div>

</div>
</body>
</html>

です。いきなり横から済みません、同様の質問でしたので、よろしくお願いいたします。
red
投稿日時: 2019/9/28 8:42
対応状況: −−−
登録日: 2010/2/15
居住地: 東京都
投稿: 1376
Re: プラグインインストールのシステムエラー
CGI版のPHPではmax_execution_timeが効きませんし、memory_limit も 400M では足りないため、動作しないと思います。
モジュール版PHPをオススメします


----------------
EC-CUBEのカスタマイズ、トラブル解決承ります
お気軽にお問い合わせ下さい
https://www.ec-cube.net/integrate/partner/partner.php?partner_id=690

Takae
投稿日時: 2019/9/28 16:27
対応状況: −−−
新米
登録日: 2016/11/27
居住地: 横浜市
投稿: 7
Re: プラグインインストールのシステムエラー
ご回答ありがとうございます!php7.3でもCGI版は駄目なのでしょうか?

サーバーのスペックも問題でしょうか?

以下の記事を読んでサーバーの乗り換えも考えています。以下サイトにはさくらサーバーかXserverは動く様に書いてありました。

https://www.eccube-plus.com/ec-cube4%E3%82%92%E3%82%A4%E3%83%B3%E3%82%B9%E3%83%88%E3%83%BC%E3%83%AB%E3%81%A7%E3%81%8D%E3%82%8B%E6%A0%BC%E5%AE%89%E3%83%AC%E3%83%B3%E3%82%BF%E3%83%AB%E3%82%B5%E3%83%BC%E3%83%90%E3%83%BC/
brass
投稿日時: 2019/9/30 0:14
対応状況: −−−
新米
登録日: 2019/8/30
居住地:
投稿: 4
Re: プラグインインストールのシステムエラー
返信ありがとうございます。

ec-cube自体をインストールし直し、モジュール版で最後試みたところ、インストールボタンが表示される段階(https://***/***/store/plugin/api/install/1797/confirm)でエラー500が表示されるようになりました。
その時点でのadminログは以下の通りです。

引用:
[2019-09-30 00:01:49] app.DEBUG [N/A] [cb5c421] [1] [Eccube\Log\Logger:log:68] - Commit executed. [] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36] [2019-09-30 00:01:49] app.INFO [N/A] [cb5c421] [1] [Eccube\Log\Logger:log:68] - PROCESS END ["admin_store_plugin_install_confirm"] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:49] admin.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - LOGIC END ["admin_store_plugin_install_confirm"] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36] [2019-09-30 00:01:49] admin.ERROR [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - システムエラーが発生しました。 ["Error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 9437184 bytes)","/home/users/1/main.jp-5325d635522cdadd/web/shop/vendor/composer/composer/src/Composer/Repository/ComposerRepository.php",584,"#0 {main}"] [GET, /management/store/plugin/api/install/1797/confirm, 121.83.29.121, https://shop.fromeast000.jp/management/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:49] php.CRITICAL [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Symfony\Component\Debug\ErrorHandler:handleException:580] - Fatal Error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 9437184 bytes) {"exception":"[object] (Symfony\\Component\\Debug\\Exception\\OutOfMemoryException(code: 0): Error: Allowed memory size of 134217728 bytes exhausted (tried to allocate 9437184 bytes) at /home/users/1/main.jp-5325d635522cdadd/web/shop/vendor/composer/composer/src/Composer/Repository/ComposerRepository.php:584)"} [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:47] admin.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - <warning>Deprecation warning: require.ec-cube/Coupon4 is invalid, it should not contain uppercase characters. Please use ec-cube/coupon4 instead. Make sure you fix this as Composer 2.0 will error.</warning> <warning>Deprecation warning: require.ec-cube/GmoPaymentGateway4 is invalid, it should not contain uppercase characters. Please use ec-cube/gmopaymentgateway4 instead. Make sure you fix this as Composer 2.0 will error.</warning> <warning>Deprecation warning: require.ec-cube/PayPalCheckout is invalid, it should not contain uppercase characters. Please use ec-cube/paypalcheckout instead. Make sure you fix this as Composer 2.0 will error.</warning> <warning>Deprecation warning: require-dev.mikey179/vfsStream is invalid, it should not contain uppercase characters. Please use mikey179/vfsstream instead. Make sure you fix this as Composer 2.0 will error.</warning> {"command":"config","setting-key":"repositories.eccube","setting-value":["{\"type\":\"composer\",\"url\":\"https:\\/\\/package-api.ec-cube.net\",\"options\":{\"http\":{\"header\":[\"X-ECCUBE-KEY: uwkIjazgIPhfvPLeE3wzGOgL6I37aucuSa86KWJZ\"]}}}"],"--working-dir":"/home/users/1/main.jp-5325d635522cdadd/web/shop","--no-ansi":true} [GET, /management/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] admin.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - http get_info {"url":"https://package-api.ec-cube.net/plugin/1797","content_type":"application/json;charset=UTF-8","http_code":200,"header_size":413,"request_size":197,"filetime":-1,"ssl_verify_result":0,"redirect_count":0,"total_time":0.70054899999999998,"namelookup_time":0.18865500000000002,"connect_time":0.20612200000000003,"pretransfer_time":0.26631499999999997,"size_upload":0,"size_download":3046,"speed_download":4348,"speed_upload":0,"download_content_length":-1,"upload_content_length":-1,"starttransfer_time":0.70052099999999995,"redirect_time":0,"redirect_url":"","primary_ip":"133.242.233.183","certinfo":[],"primary_port":443,"local_ip":"157.7.106.224","local_port":34726,"message":""} [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] admin.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - LOGIC START ["admin_store_plugin_install_confirm"] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] php.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Symfony\Component\Debug\ErrorHandler:handleError:528] - User Deprecated: The "Eccube\Service\Composer\ComposerApiService" service is private, getting it from the container is deprecated since Symfony 3.2 and will fail in 4.0. You should either make the service public, or stop using the container directly and use dependency injection instead. {"exception":"[object] (ErrorException(code: 0): User Deprecated: The \"Eccube\\Service\\Composer\\ComposerApiService\" service is private, getting it from the container is deprecated since Symfony 3.2 and will fail in 4.0. You should either make the service public, or stop using the container directly and use dependency injection instead. at /home/users/1/main.jp-5325d635522cdadd/web/shop/vendor/symfony/dependency-injection/Container.php:282)"} [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] php.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Symfony\Component\Debug\ErrorHandler:handleError:528] - User Deprecated: The "Eccube\Repository\BaseInfoRepository" service is private, getting it from the container is deprecated since Symfony 3.2 and will fail in 4.0. You should either make the service public, or stop using the container directly and use dependency injection instead. {"exception":"[object] (ErrorException(code: 0): User Deprecated: The \"Eccube\\Repository\\BaseInfoRepository\" service is private, getting it from the container is deprecated since Symfony 3.2 and will fail in 4.0. You should either make the service public, or stop using the container directly and use dependency injection instead. at /home/users/1/main.jp-5325d635522cdadd/web/shop/vendor/symfony/dependency-injection/Container.php:282)"} [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] admin.DEBUG [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - Begin Transaction. [] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:46] admin.INFO [kin495nsrjlsf56d4pun2rcsv5] [cb5c421] [1] [Eccube\Log\Logger:log:64] - PROCESS START ["admin_store_plugin_install_confirm"] [GET, /***/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]
[2019-09-30 00:01:45] admin.INFO [N/A] [cb5c421] [N/A] [Eccube\Log\Logger:log:64] - INIT [] [GET, /management/store/plugin/api/install/1797/confirm, 121.83.29.121, https://***/***/store/plugin, Mozilla/5.0 (Macintosh; Intel Mac OS X 10_14_6) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/76.0.3809.132 Safari/537.36]


モジュール版ではphp.iniの設定が変更できず、memory_limitが128Mのままになってしまっているのが原因と考えているのですがあっていますでしょうか・・・。
こちらもサーバーの乗り換えを検討しようかと考えています。
marvmerch
投稿日時: 2019/10/14 22:15
対応状況: −−−
新米
登録日: 2019/6/14
居住地:
投稿: 2
Re: プラグインインストールのシステムエラー
What a superb post! I have no words to describe this post because everthing is clear with your wonderfull words. I really feel out of world reading your post, it is full of fresh and usefull. I really appreciate, keep the work continue.

http://usanorton.com/setup/ ! www.norton.com/setup ! norton.com/setup


スレッド表示 | 新しいものから 前のトピック | 次のトピック | トップ


 



ログイン


EC-CUBEペイメント

公式ストアEC-CUBE4系デザインテンプレート続々リリース中

統計情報

総メンバー数は54,116名です
総投稿数は94,144件です

投稿数ランキング

1
seasoft
7332
2
AMUAMU
2712
3
nanasess
2014
4
468
1912
5
yuh
1610
6
umebius
1401
7
red
1376
8
h_tanaka
939
9
fukap
907
10
tsuji
856
11
shutta
835
12 ramrun 789
13
tao_s
780
14 karin 656
15 sumida 641
16
homan
633
17 DELIGHT 571
18
patapata
502
19
flealog
483
20 tonton 437


ネットショップの壺

EC-CUBEインテグレートパートナー

Copyright© EC-CUBE CO.,LTD. All Rights Reserved.